package PureMessage::Enduser::UI::User;

use PureMessage::Enduser::UI::Config qw( %config );

our $DEFAULT_BACKEND; 

BEGIN {
  die "Invalid backend '$config{backend}' configured for EUWI operation" 
        unless $config{backend} eq 'local' or $config{backend} eq 'rpc' or $config{backend} eq 'direct';
        
  my $DEFAULT_BACKEND = "PureMessage::Enduser::UI::User::$config{backend}";
  eval("require $DEFAULT_BACKEND");
  die "Failure loading '$config{backend}' backend for EUWI: $@" if $@;
  push(@ISA,$DEFAULT_BACKEND);
}


1;

