#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl -w
use strict;
use PureMessage::Manager::Lang;
use PureMessage::Enduser::Request qw(%in);
use PureMessage::Enduser::Response;
use PureMessage::Enduser::UI::User;
my $REQUEST = new PureMessage::Enduser::Request;
my $r = $REQUEST->get_response('', stderr_to_stdout => 0, 'titlebar-only' => 1);

# set language name space
PureMessage::Manager::Lang::set_namespace("EUUI/logout");

$r->{debug} =0;

# user object does data retrieval
#  we need the user object to find the language preference
my $user;
if (! $r->authorize_user) {
    $r->send();
    exit;
} else {
    $user = $r->user();
}

# set the language
my $lang = $user->language();
$r->errors($user, $0, 'language', 'get_language_error');

my $logout = $r->new_tmpl("logout.html");
$logout->param('logout' => lang_text_utf8($lang, 'logout'),
	       'login' => lang_text_utf8($lang, 'login'),
	       );
$r->logout_user();
$r->add_part($logout);
$r->send;
